#
# spec file for package xfntjp (Version 20010130)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xfntjp
Copyright:    Distributable
Group:        User Interface/X
Autoreqprov:  on
Version:      20010130
Release:      127
# URL:
Source0: 6x12.tar.bz2
%define Kappa Kappa20-0.3
Source1: %{Kappa}.tar.bz2
# shinonome 12 seems to be an improved version of kaname-alter.
# should we drop kaname-alter?
# (I have already replaced the kaname aliases by shinonome aliases,
# but I'll leave the kaname fonts in for the moment).
%define kaname kaname-alter-2.9.4
Source2: %{kaname}.tar.bz2
%define knj10 knj10-1.1
Source3: %{knj10}.tar.gz
Source4: mkbold
%define mkbold $RPM_SOURCE_DIR/mkbold
%define b2p /usr/X11R6/bin/bdftopcf
Source5: xfonts_jp.tgz
Source6: marumoji.tgz
Source8: fonts.alias.jp
%define k14goth k14goth-1.6.9
Source11: %{k14goth}.tar.bz2
Source12: kanji32.bdf.bz2
# http://www.on.cs.keio.ac.jp/~yasu/jp_fonts.html
%define shinonome12 shinonome12-1.0.8
%define shinonome16 shinonome16-1.0.3
Source13: shinonome12-1.0.8.tar.bz2
Source14: shinonome16-1.0.3.tar.bz2
Patch0: xfntjp.autobuild.patch
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Summary:      Japanese fixed fonts for X11
Summary(ja): XܸĹե

%description
This Package contains Japanese fixed-width fonts for X11.
It contains the fonts knj10, kaname-alter, shinonome12, shinonome16,
k14goth, Kappa20, kanji32, and marumoji.
On top of that it also contains bold, italic, and bold-italic versions of the
popular Japanese fonts usually found in the /usr/lib/X11/fonts/misc directory of
the standard XFree86 distribution, and bold, italic, and bold-italic versions of
iso-8859-1 fonts which fit nicely in style and width to the Japanese fonts.

SuSE series: j


%description -l ja

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -a 1 -a 2 -a 3 -a 5 -a 6 -a 11 -a 13 -a 14
%patch0 -p0
cp %kaname/tools/mkitalic .
bzip2 -dc %{SOURCE12} > kanji32.bdf
pushd %{knj10}
    patch -o maru10.bdf < maru10.bdf.diff
    patch -o min10.bdf < min10.bdf.diff
    rm -f maru10.bdf.diff min10.bdf.diff
popd
mv */*.bdf ./
%define fontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/japanese
mkdir -p %{fontdir}

%build
# make bold fonts
#for i in 5x10rk 6x12rk 7x14 7x14rk 8x16 8x16rk 12x24 12x24rk jiskan16 jiskan24 kanji32 maru10 min10 ; do
#  /usr/bin/perl %{mkbold} ${i}.bdf > ${i}b.bdf
#done
# make italic, bold, bold-italic fonts
for i in 5x10rk 6x12rk 7x14 7x14rk 8x16 8x16rk 12x24 12x24rk jiskan16 jiskan24 kanji32 maru10 min10 ; do
  /usr/bin/perl %{mkbold} ${i}.bdf > ${i}b.bdf
  ./mkitalic  ${i}.bdf > ${i}i.bdf
#  ./mkitalic ${i}b.bdf  > ${i}bi.bdf
  /usr/bin/perl %{mkbold} ${i}i.bdf > ${i}bi.bdf
done
for i in 5x10a 5x10B 6x12a 6x12B 10x20m 10x20b 10x20rkm 10x20rkb knj10 knj10B k20m k20b ; do
  ./mkitalic ${i}.bdf > ${i}i.bdf
done
# make .pcf.gz
for i in *.bdf ; do
  %{b2p} $i | gzip -9 > `basename $i .bdf`.pcf.gz
  rm $i
done
# make kaname-alter
(cd %{kaname}
./configure --with-family=Fixed --with-fontdir=%{fontdir}
make
make bold-italic
)
# make k14goth
(
cd %{k14goth}
./configure --with-fontdir=%{fontdir} --disable-progressbar
make
make bold-italic
)
# make shinonome12
(
cd %{shinonome12}
./configure --with-fontdir=%{fontdir} --with-foundry=shinonome --enable-bolditalic --disable-progressbar
make
)
# make shinonome16
(
cd %{shinonome16}
./configure --with-fontdir=%{fontdir} --with-foundry=shinonome --enable-bolditalic --disable-progressbar
make
)

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   install -d -m755 $RPM_BUILD_ROOT
fi
rm -f fonts.alias 
make -C %{kaname} install 
make -C %{kaname}/hankaku install-italic-bold 
make -C %{kaname}/kanjic install-italic-bold 
make -C %{kaname}/kanjip install-italic-bold 
make -C %{kaname}/latin1 install-italic-bold 
make -C  %{k14goth} install
make -C %{k14goth}/kanjic install-bold-italic 
cat %{k14goth}/fonts.alias >> fonts.alias
make -C %{shinonome12} install
cat %{shinonome12}/fonts.alias >> fonts.alias
make -C  %{shinonome16} install
cat %{shinonome12}/fonts.alias >> fonts.alias
mv *.pcf.gz %{fontdir}
# don't pack fonts.dir!:
# mkfontdir %{fontdir}
rm -f %{fontdir}/fonts.dir
cat $RPM_SOURCE_DIR/fonts.alias.jp >> fonts.alias
cp fonts.alias %{fontdir}/fonts.alias

%clean
rm -rf $RPM_BUILD_ROOT

%post 
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
FDIR="usr/X11R6/lib/X11/fonts/japanese"
echo "Updating X11 font directory $FDIR ..."
if [ -x usr/X11R6/bin/mkfontdir ] ; then
    usr/X11R6/bin/mkfontdir $FDIR
fi

%postun 
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
FDIR="usr/X11R6/lib/X11/fonts/japanese"
echo "Updating X11 font directory $FDIR ..."
if [ -x usr/X11R6/bin/mkfontdir ] ; then
    usr/X11R6/bin/mkfontdir $FDIR
fi

%files
%defattr(-, root,root)
%doc 6x12/  README*
%doc %{Kappa}/README
%doc %{knj10}/INSTALL %{knj10}/README
%doc %{kaname}/Changelog %{kaname}/README.ja
%doc %{k14goth}/AUTHORS %{k14goth}/BUGS %{k14goth}/Changelog %{k14goth}/INSTALL %{k14goth}/README %{k14goth}/THANKS
%doc %{shinonome12}/AUTHORS %{shinonome12}/BUGS %{shinonome12}/Changelog %{shinonome12}/INSTALL %{shinonome12}/README %{shinonome12}/THANKS %{shinonome12}/TODO
%doc %{shinonome16}/AUTHORS %{shinonome16}/BUGS %{shinonome16}/Changelog %{shinonome16}/INSTALL %{shinonome16}/README %{shinonome16}/THANKS %{shinonome16}/TODO
/usr/X11R6/lib/X11/fonts/japanese/*

%changelog -n xfntjp
* Wed Mar 07 2001 - mfabian@suse.de
- add xf86 to "# neededforbuild" (/usr/X11R6/bin/bdftopcf is
  needed).
* Tue Jan 30 2001 - mfabian@suse.de
- add shinonome12-1.0.8 and shinonome16-1.0.3
- update k14goth to version 1.6.9
- improve fonts.alias
- don't pack fonts.dir
- cleanup of spec file.
* Fri Aug 04 2000 - mfabian@suse.de
- adapted to SuSE,
- updated Nagao San's knj10 fonts to version knj10-1.1
- added Nagao San's Nagamaru and Nagamin fonts
  and bold, italic, and bold-italic versions of these.
- replaced 'fonts.dir.jp' by a call to mkfontdir
- patched 'mkitalic' which caused autobuild to fail
  * Wed Mar  1 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- 2.0-7, 2.0-9, 2.0-10
- updated to kaname-alter-2.8.1, k14goth-1.5
  * Tue Jan 18 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-6
- updated to kaname-alter-2.5
  * Tue Jan 11 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-5
- change group
- bzip2 many sources
- updated to kaname-alter-2.4, k14goth-1.3
  * Wed Dec 29 1999 Jun Nishii <jun@vinelinux.org>
- rebuild (last build seems to be failed...)
  * Fri Dec 24 1999 Jun Nishii <jun@vinelinux.org>
- removed verbose files in /usr/doc
  * Thu Dec 23 1999 Jun Nishii <jun@vinelinux.org>
- kaname-alter-2.3
- k14goth-1.2
  * Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.1 try Mr.Furukawa's mkitalic
  * Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.0
- bug fix in fonts.alias
  * Tue Nov 9 1999 Jun Nishii <jun@vinelinux.org>
- update to kaname-alter-2.1
  * Fri Oct 15 1999 MATSUMOTO Shoji <shom@flatout.org>
- change mkitalic
- change to kaname-alter-1.3
- change to k14goth-1.0
- add kanji32
  * Tue Oct  5 1999 MATSUMOTO Shoji <shom@flatout.org>
- add mkitalic
- replace k14 to k14goth
  * Tue Sep 14 1999 Norihito Ohmori <ohmori@flatout.org>
- change kaname-machi font to kaname-machi kai
  * Wed Dec  9 1998 MATSUMOTO Shoji <pje@linux.or.jp>
- create spec
